# Uses of Class
net.shibboleth.idp.attribute.filter.AttributeRule

Packages that use AttributeRule
Package
Description
net.shibboleth.idp.attribute.filter
This package contains a filtering engine for a collection of `IdPAttribute`s.

## Uses of AttributeRule in net.shibboleth.idp.attribute.filter

Fields in net.shibboleth.idp.attribute.filter with type parameters of type AttributeRule
Modifier and Type
Field
Description
`private final List<AttributeRule>`
AttributeFilterPolicy.`valuePolicies`
Filters to be used on attribute values.
Methods in net.shibboleth.idp.attribute.filter that return types with arguments of type AttributeRule
Modifier and Type
Method
Description
`List<AttributeRule>`
AttributeFilterPolicy.`getAttributeRules()`
Gets the unmodifiable attribute rules that are in effect if this policy is in effect.
Constructor parameters in net.shibboleth.idp.attribute.filter with type arguments of type AttributeRule
Modifier
Constructor
Description
``
`AttributeFilterPolicy(String policyId, PolicyRequirementRule requirementRule, Collection<AttributeRule> attributeRules)`
Constructor.